% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/multivariate.R
\name{ortho}
\alias{ortho}
\alias{ortho.dist}
\alias{ortho.matrix}
\alias{ortho.data.frame}
\alias{ortho.procmod.frame}
\title{Project a dataset in a euclidean space.}
\usage{
ortho(data, ...)

\method{ortho}{dist}(x, tol = 1e-07)

\method{ortho}{matrix}(x, scale = FALSE)

\method{ortho}{data.frame}(x, scale = FALSE)

\method{ortho}{procmod.frame}(x)
}
\arguments{
\item{data}{a numeric matrix describing the points}

\item{tol}{a tolerance threshold : an eigenvalue is
considered positive if it is larger than
-tol*lambda1 where lambda1 is the largest eigenvalue.}

\item{scale}{a \code{logical} value indicating if the dimensions must be scaled
to force for every column that \code{sd=1}. \code{FALSE} by default.}
}
\value{
a numeric matrix with at most \code{n-1} dimensions, with
        \code{n} the number pf observations. This matrix defines the
        coordinates of each point in the orthogonal space.
}
\description{
Project a set of points defined by a distance matrix
or a set of variables in an eucleadean space.
If the distance matrix is a metric, this is done using
the \code{\link[ProcMod]{pcoa}} function,
for other distance the \code{\link[ProcMod]{nmds}} is used.
When points are described by a set of variable the
\code{\link[ProcMod]{nmds}} is used.
}
\author{
Eric Coissac

Christelle Gonindard-Melodelima
}
